#ifndef _INCLUDED_IMAGE_WINDOW_H
#define _INCLUDED_IMAGE_WINDOW_H

// #include <Foundation/Foundation.h>
// #include <AppKit/AppKit.h>

#include <Foundation/NSGeometry.h>
#include <AppKit/NSWindow.h>
#include "PHDefs.h"

@class NSString;

@interface ImageWindow : NSWindow
{
}

- (id) init;
- (id) initWithContentRect: (NSRect)rect;
- (void) setImageFromFile: (NSString *)fileName;
- (void) rotateWithDirection: (PHRotateDirection) direction;
- (void) clip;
- (void) undo;
- (BOOL) saveToFile: (NSString *) path;

@end

#endif // _INCLUDED_IMAGE_WINDOW_H
