#ifndef _INCLUDED_FILE_RING_H
#define _INCLUDED_FILE_RING_H

#include <Foundation/NSObject.h>

@class NSString;
@class NSArray;
@class NSMutableArray;

@interface FileRing : NSObject
{
    NSString * _dir;
    NSMutableArray * _files;
    unsigned _pos;
}

- (id) init;
- (id) initFromPath: (NSString *)path withTypes: (NSArray *) allowedTypes;

- (NSString *) directory;
- (NSString *) currentName;
- (NSString *) currentFile;
- (NSString *) nextFile;
- (NSString *) prevFile;

@end // @interface FileRing

#endif // _INCLUDED_FILE_RING_H
